<?php namespace Tps\Tps\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateTpsTpsCartoons2 extends Migration
{
    public function up()
    {
        Schema::table('tps_tps_cartoons', function($table)
        {
            $table->string('banner_image')->nullable();
            $table->string('logo')->nullable();
            $table->string('information_number_1')->nullable();
            $table->string('information_number_2')->nullable();
            $table->string('information_number_3')->nullable();
            $table->string('information_text_1')->nullable();
            $table->string('information_text_2')->nullable();
            $table->string('information_text_3')->nullable();
            $table->text('information')->nullable();
            $table->string('main_characters_text')->nullable();
            $table->string('main_characters_image')->nullable();
            $table->text('list_characters')->nullable();
            $table->string('shots_text')->nullable();
            $table->string('shots_image')->nullable();
            $table->string('list_shots')->nullable();
            $table->string('posters_text')->nullable();
            $table->string('posters_image')->nullable();
            $table->text('list_posters')->nullable();
        });
    }
    
    public function down()
    {
        Schema::table('tps_tps_cartoons', function($table)
        {
            $table->dropColumn('banner_image');
            $table->dropColumn('logo');
            $table->dropColumn('information_number_1');
            $table->dropColumn('information_number_2');
            $table->dropColumn('information_number_3');
            $table->dropColumn('information_text_1');
            $table->dropColumn('information_text_2');
            $table->dropColumn('information_text_3');
            $table->dropColumn('information');
            $table->dropColumn('main_characters_text');
            $table->dropColumn('main_characters_image');
            $table->dropColumn('list_characters');
            $table->dropColumn('shots_text');
            $table->dropColumn('shots_image');
            $table->dropColumn('list_shots');
            $table->dropColumn('posters_text');
            $table->dropColumn('posters_image');
            $table->dropColumn('list_posters');
        });
    }
}
